{%- assign items = site.posts | where: 'layout', 'menu' | where: 'item', nil -%}

<nav class="navbar navbar-expand-lg navbar-light d-print-block" role="navigation" aria-label="{{ site.i18n.menu.title }}">
  <a class="navbar-brand w-100 w-lg-auto" href="?">
    {{ site.title }}
  </a>

  <button class="navbar-toggler"
          type="button"
          data-toggle="collapse"
          data-target="#menu"
          aria-label="{{ site.i18n.menu.title }}">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse order-last order-md-2" id="menu">
    <div class="navbar-nav w-100 d-flex align-items-start justify-content-center">
      {% for item in items %}
        {%- include_cached item.html item=item -%}
      {% endfor %}

      {% comment %}
      <div class="nav-item w-100 w-lg-auto">
        {%- include_cached search.html -%}
      </div>
      {% endcomment %}
    </div>
  </div>

  <a class="black pr-lg-3 pl-lg-3 order-md-last" href="{{ site.cart.url }}">
    <span class="d-flex align-items-center justify-content-center" data-controller="cart-counter">
      <i class="fa fa-fw fa-2x fa-shopping-cart"></i>
      <span class="sr-only">{{ site.cart.title }}</span>
      <span class="font-weight-bold ml-1" data-target="cart-counter.counter">0</span>
    </span>
  </a>
</nav>
